summaryrefslogtreecommitdiffhomepage
path: root/applications/luci-ddns/ipkg/postinst-pkg
diff options
context:
space:
mode:
authorChristian Schoenebeck <christian.schoenebeck@gmail.com>2014-11-15 22:06:18 +0100
committerChristian Schoenebeck <christian.schoenebeck@gmail.com>2014-11-15 22:06:18 +0100
commit157e8e52aef5ede350e17ce688f76fbaddea5dd2 (patch)
treea49bbf5b2b00ad48af72a1b03741f92c673c993f /applications/luci-ddns/ipkg/postinst-pkg
parenta226f199accb4a9adce10d3373fb832109e60876 (diff)
luci-app-ddns: modified to support ddns-scripts 2.1.0-2
- moved /usr/lib/ddns/dynamic_dns_lucihelper.sh to ddns-scripts package - fixed error message when validating proxy - modified validating ip_script to allow the usage of parameters - using ipkg/postinst AND ipkg/postinst-pkg as long as LuCI Makefiles did not fullfil requirements of new OpenWrt default_postinst and default_postrm reported in Issue #255 - cleanup whitespaces at line ends Signed-off-by: Christian Schoenebeck <christian.schoenebeck@gmail.com>
Diffstat (limited to 'applications/luci-ddns/ipkg/postinst-pkg')
-rw-r--r--applications/luci-ddns/ipkg/postinst-pkg10
1 files changed, 10 insertions, 0 deletions
diff --git a/applications/luci-ddns/ipkg/postinst-pkg b/applications/luci-ddns/ipkg/postinst-pkg
new file mode 100644
index 000000000..938f746f7
--- /dev/null
+++ b/applications/luci-ddns/ipkg/postinst-pkg
@@ -0,0 +1,10 @@
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ # luci updates are not in sync with ddns-script updates !!!
+ # needed because luci update might delete helper script
+ # copy dynamic_dns_helper.tmp.sh from ddns-scripts
+ cp -f /usr/lib/ddns/dynamic_dns_lucihelper.tmp.sh /usr/lib/ddns/dynamic_dns_lucihelper.sh
+
+ ( . /etc/uci-defaults/luci-ddns ) && rm -f /etc/uci-defaults/luci-ddns
+ exit 0
+}